Bug 216374 - On FC6 Installation CD Boot: "BUG: spinlock recursion on CPU0"
On FC6 Installation CD Boot: "BUG: spinlock recursion on CPU0"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-19 20:39 EST by Stephen Sekula
Modified: 2008-02-07 23:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
digital camera photos of the kernel error messages during the boot attempt (916.18 KB, application/octet-stream)
2006-11-19 20:39 EST, Stephen Sekula
no flags Details

  None (edit)
Description Stephen Sekula 2006-11-19 20:39:07 EST
Description of problem:

Upon attempting graphical or non-graphical installation of FC6 (or FC5), the
kernel encounters a "spinlock recursion" and crashes. This happens almost
immediately.

Version-Release number of selected component (if applicable):

Default kernel that comes with FC6 installation media (or FC5 installation media)

How reproducible:

This problem occurs every time I try booting the FC6 installation DVD or CDs.
I have also "back-pedaled" to FC5 and tried booting those installation CDs
using an older kernel than 2.6.18. The same problem occurs. I have alternatively
tried booting using KNOPPIX 4.X and 5.X, which use 2.6.12 and 2.6.17 kernels
(respectively). KNOPPIX's kernels boot without incident. 

Steps to Reproduce:
1. Try to do graphical or text installation of FC6 (or FC5)
2. Kernel panics and issues error "BUG: spinlock recursion on CPU0..."
3. System hangs in kernel panic.
  
Actual results:

A spinlock recursion occurs, and is reported by the kernel ad a "BUG". 

Expected results:

I expect the kernel to boot so that FC6 installation can proceed. The system
never passes the initialization of the installation medium kernel.

Additional info:

My system is based on a brand new Intel Pentium D 805, with 1 Gb of DDR PC3200
RAM. The ram passes all checks that I have run on it. The system can be booted
without incident using KNOPPIX (debian). I have used both KNOPPIX 4.X and 5.X,
to check if the problem occurs with the more recent kernels of FC5 or FC6. I
find that both 2.6.12 and 2.6.17 kernels boot flawlessly under KNOPPIX. This
is a *hint* that it is an FC-specific kernel patch or tweak that is causing
the problem.

Please find attached images of my screen taken with a digital camera. It was the
only way I could capture the crash, although it does scroll very fast and I may
have missed some of the kernel's attempt to dump a backtrace.

In text form, the first few lines of the error message are:

BUG: spinlock recursion on CPU#0, swapper/0 (Not tainted)
 lock: ffffffff80630580, .magic dead4ead, .owner: swapper/0, .owner_cpu: 0

Call trace: 
.
.
.

(please see the pictures for more information)

I searched the bugs database several times and could not find the appearance of
any similar messages in another report, though I can't promise I was thorough. I
searched Google and Ask.com for similar messages, and found reports from people
of similar problems in other fora but with no useful responses. Some crashes
that might have been related appeared to be avoidable using the boot parameters
"noapic acpi=off acpic=off", but this *did not* work at all in my case.

Please let me know if you have more questions. I look forward to a resolution to
this problem.
Comment 1 Stephen Sekula 2006-11-19 20:39:08 EST
Created attachment 141604 [details]
digital camera photos of the kernel error messages during the boot attempt
Comment 2 Stephen Sekula 2006-11-20 01:54:43 EST
I wanted to mention one more clue that this problem is perhaps induced by a
patch or tweak (or lack thereof?) of the standard 2.6 kernel which is specific
to Fedora Core. I installed Kubuntu 6.06 without incident on the machine. 6.06
uses 2.6.15, adding another distro to the list whose 2.6.X kernel avoids the
spinlock recursion. I hope this helps point the way. I sure am eager to get FC
back onto this machine so I can reintegrate it into my intranet.
Comment 3 Itai Nahshon 2007-01-10 13:35:12 EST
Probably same bug here. Hardware is MSI 865 Neo with Core2 Duo E6600 
processor. 32 bit FC6 (i686) upgraded to latest kernel.

System an OK from an IDE disk attached to a raid controller. When I attach 
SATA disks to the controller on the mobo I added boot options "irqpoll all-
generic-ide" and than I get occasional crashes (normally after 10-20 minutes). 
Actually the crash happens also without the SATA disks when I specify the boot 
option "irqpoll".

Temporary work-around - I have compiled and installed vanilla kernel 2.6.20-
pre4 and now everything is OK (I do get some weird errors from the DVD writer 
but that's a different issue).
Comment 4 Douglas Needham 2007-03-04 11:28:26 EST
I have gotten this one as well, but not during installation.  This particular
behaviour seems to have started about 4 or 5 kernel updates ago.  Before that,
it was just the network connection via the onboard GigE of my Asus P5W HD mobo
locking up from time to time.  Since the kernel was originally tainted, I have
gone through the steps of removing kmod-ntfs and kmod-nvidia, and while it seems
to have shifted towards the network hang (a partial message regarding the sky2
ring buffers was seen, but could not be captured) instead of the spinlock
deadlock, I have had 4 spinlock deadlocks in the past 48 hours, making this
system unreliable for use in my work.  The messages are idential (except for the
lock address) to the following (reproduced from what I see on a xterm from a ssh
back onto the system to root):

-----
Message from syslogd@cyteen at Sat Feb 24 16:56:47 2007 ...
cyteen kernel: BUG: spinlock recursion on CPU#0, swapper/0 (Not tainted)
     
Message from syslogd@cyteen at Sat Feb 24 16:56:47 2007 ...
cyteen kernel: BUG: spinlock recursion on CPU#0, swapper/0 (Not tainted)
       
Message from syslogd@cyteen at Sat Feb 24 16:56:47 2007 ...
cyteen kernel:  lock: ffff81007bd86a80, .magic: dead4ead, .owner: swapper/0,
.owner_cpu: 0
     
Message from syslogd@cyteen at Sat Feb 24 16:56:47 2007 ...
cyteen kernel:  lock: ffff81007bd86a80, .magic: dead4ead, .owner: swapper/0,
.owner_cpu: 0
     
Message from syslogd@cyteen at Sat Feb 24 16:57:23 2007 ...
cyteen kernel: BUG: spinlock lockup on CPU#0, swapper/0 ffff81007bd86a80 (Not
tainted)
   
Message from syslogd@cyteen at Sat Feb 24 16:57:23 2007 ...
cyteen kernel: BUG: spinlock lockup on CPU#0, swapper/0 ffff81007bd86a80 (Not
tainted)
-----

System details:
Motherboard:       Asus P5W HD
CPU:               Intel Core2Duo E6300 (1.86GHz)
RAM:               2GB PC2-5300
HD:                SATA
Video:             XFX Geforce 7950GT
Uname:             Linux cyteen 2.6.19-1.2911.fc6 #1 SMP Sat Feb 10 15:16:31 EST
2007 x86_64


System can run for 12+ hours with Rhythmbox playing music from a NFS mount
without a problem, or has in the past gotten this problem within less than an
hour, with the same load.  System multi-boots with XP Home (blech) and
occasionally QNX 6.3.0 or NetBSD.  Other systems running the K7 processor and
ATA drives have not shown this problem.  I may be reloading one because of
problems booting with a Promise SATA/300 TX4 controller just added with any
drives attached.  Perhaps that will clarify the apparent SATA dependency on a K7
system.  May be that the problem is related to SMP and SATA.  However, Bug
230888 may indicate that it is not CPU related, and possibly not even related to
SATA.
Comment 5 Dave Jones 2007-03-19 15:29:36 EDT
You may be able to get this installed by booting with 'dontpanic' which will
downgrade the severity of the locking bug from a BUG() to a printk.

The reason it doesn't affect other distros is likely because they don't have
spinlock debugging enabled.
Comment 6 Jon Stanley 2008-01-07 20:50:44 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 7 Jon Stanley 2008-02-07 23:28:55 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.